#
# spec file for package rsyslog
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           rsyslog
Summary:        The enhanced syslogd for Linux and Unix
Version:        5.6.5
Release:        1.5.1
%define         upstream_version            5.6.5
%define         with_dbi                    0%{?suse_version} >= 1140 || 0%{?build_with_relp:1}
%define         with_relp                   0%{?suse_version} >= 1130 || 0%{?build_with_relp:1}
%define         _sbindir                    /sbin
%define         rsyslogdocdir               %{_docdir}/%{name}
%define         additional_sockets          %{_localstatedir}/run/rsyslog/additional-log-sockets.conf
%define         _libdir                     /%_lib
%define         rsyslog_module_dir_nodeps   %{_libdir}/rsyslog/
%define         rsyslog_module_dir_withdeps %{_prefix}/%{_lib}/rsyslog/
License:        GPLv3+
Group:          System/Daemons
Url:            http://www.rsyslog.com/
AutoReqProv:    on
Provides:       syslog
PreReq:         %insserv_prereq %fillup_prereq /sbin/klogd /etc/init.d/syslog /sbin/checkproc
BuildRequires:  klogd
BuildRequires:  dos2unix openssl-devel pcre-devel pkgconfig zlib-devel
BuildRequires:  krb5-devel mysql-devel net-snmp-devel postgresql-devel
BuildRequires:  libgnutls-devel
%if 0%{?with_dbi}
BuildRequires:  libdbi-devel
%endif
%if 0%{?with_relp}
# RELP support
BuildRequires:  librelp-devel
%endif
# UDP spoof support
%if 0%{?suse_version} >= 1140
BuildRequires:  libnet-devel
# The systemd package provides
#   /usr/share/doc/packages/systemd/sd-daemon.[ch]
# files instead of a lib ...
BuildRequires:  systemd
%else
BuildRequires:  libnet
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#Source0:        http://download.rsyslog.com/rsyslog/rsyslog-<upstream_version>.tar.gz
Source0:        %{name}-%{upstream_version}.tar.bz2
Source1:        rsyslog.sysconfig
Source2:        rsyslog.conf.in
Source3:        rsyslog.early.conf.in
Source4:        rsyslog.d.remote.conf.in
%if 0%{?suse_version} >= 1140
Patch1:         rsyslog-systemd-integration.bnc656104.diff
%endif
Patch2:         rsyslog-5.x-memcpy-overflow.patch
Patch3:         rsyslog-CVE-2011-3200.bnc714658.patch

%description
Rsyslog is an enhanced multi-threaded syslogd supporting, among others,
MySQL, syslog/tcp, RFC 3195, permitted sender lists, filtering on any
message part, and fine grain output format control. It is quite
compatible to stock sysklogd and can be used as a drop-in replacement.
Its advanced features make it suitable for enterprise-class, encryption
protected syslog relay chains while at the same time being very easy to
setup for the novice user.

%package doc
License:        GPLv3+
Group:          System/Daemons
Requires:       %{name} = %{version}
Summary:        Additional documentation for rsyslog

%description doc
Rsyslog is an enhanced multi-threaded syslog daemon. See rsyslog
package.

This package provides additional documentation for rsyslog.

%package diag-tools
License:        GPLv3+
Group:          System/Daemons
Requires:       %{name} = %{version}
Summary:        Diagnostic tools

%description diag-tools
Rsyslog is an enhanced multi-threaded syslog daemon. See rsyslog
package.

This package provides additional diagnostic tools (small helpers,
usually not needed).

%package module-gssapi
License:        GPLv3+
Group:          System/Daemons
Requires:       %{name} = %{version}
Summary:        GSS-API support module for rsyslog

%description module-gssapi
Rsyslog is an enhanced multi-threaded syslog daemon. See rsyslog
package.

This module provides the support to receive syslog messages from the
network protected via Kerberos 5 encryption and authentication.

%package module-mysql
License:        GPLv3+
Group:          System/Daemons
Requires:       %{name} = %{version}
Summary:        MySQL support module for rsyslog

%description module-mysql
Rsyslog is an enhanced multi-threaded syslog daemon. See rsyslog
package.

This package provides a module with the support for logging into MySQL
databases.

%package module-pgsql
License:        GPLv3+
Group:          System/Daemons
Requires:       %{name} = %{version}
Summary:        PostgreSQL support module for rsyslog

%description module-pgsql
Rsyslog is an enhanced multi-threaded syslog daemon. See rsyslog
package.

This module provides the support for logging into PostgreSQL databases.

%if 0%{?with_dbi}

%package module-dbi
License:        GPLv3+
Group:          System/Daemons
Requires:       %{name} = %{version}
Summary:        Database support via DBI

%description module-dbi
Rsyslog is an enhanced multi-threaded syslog daemon. See rsyslog
package.

This package provides a module with the support for logging into DBI
supported databases.
%endif

%package module-snmp
License:        GPLv3+
Group:          System/Daemons
Requires:       %{name} = %{version}
Summary:        SNMP support module for rsyslog

%description module-snmp
Rsyslog is an enhanced multi-threaded syslog daemon. See rsyslog
package.

This module provides the ability to send syslog messages as an SNMPv1 &
v2c traps.

%package module-gtls
License:        GPLv3+
Group:          System/Daemons
Requires:       %{name} = %{version}
Summary:        TLS encryption support module for rsyslog

%description module-gtls
Rsyslog is an enhanced multi-threaded syslog daemon. See rsyslog
package.

This module provides the ability for TLS encrypted TCP logging (based
on current syslog-transport-tls internet drafts).

%if 0%{?with_relp}

%package module-relp
License:        GPLv3+
Group:          System/Daemons
Requires:       %{name} = %{version}
Summary:        RELP protocol support module for syslog

%description module-relp
Rsyslog is an enhanced multi-threaded syslog daemon. See rsyslog
package.

This module provides Reliable Event Logging Protocol support.

%endif

%package module-udpspoof
License:        GPLv3+
Group:          System/Daemons
Requires:       %{name} = %{version}
Summary:        UDP spoof support module for syslog

%description module-udpspoof
Rsyslog is an enhanced multi-threaded syslog daemon. See rsyslog
package.

This module provides a UDP forwarder that allows changing the sender address.

%prep
%setup -q -n %{name}-%{upstream_version}
%if 0%{?suse_version} >= 1140
%patch1 -p1
# install the files systemd provides rather than what we provide.
cp -a /usr/share/doc/packages/systemd/sd-daemon.[ch] runtime/
%endif
%patch2 -p1
%patch3 -p1
dos2unix doc/*.html

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -W -Wall"
%if 0%{?suse_version} > 1000 && 0%{?suse_version} < 1030
    export CFLAGS="$CFLAGS -fstack-protector"
%endif
# needs liblogging
#        --enable-rfc3195        \
# needs java
#        --enable-gui            \
%configure			\
	--with-moddirs=%{rsyslog_module_dir_withdeps} \
	--enable-option-checking	\
	--enable-largefile	\
	--enable-pthreads	\
	--enable-regexp		\
	--enable-zlib		\
	--enable-klog		\
	--enable-inet		\
	--enable-gnutls		\
	--enable-rsyslogd	\
	--enable-gssapi-krb5	\
	--enable-mysql		\
	--enable-pgsql		\
%if 0%{?with_dbi}
	--enable-libdbi		\
%endif
%if 0%{?with_relp}
	--enable-relp		\
%endif
	--enable-snmp		\
	--enable-mail		\
	--enable-imfile		\
	--enable-imptcp		\
	--enable-imtemplate	\
	--enable-omprog		\
	--enable-omuxsock	\
	--enable-omtemplate	\
	--enable-omudpspoof	\
	--enable-omstdout	\
	--enable-pmlastmsg	\
	--enable-diagtools	\
	--disable-static

make %{?_smp_mflags:%{_smp_mflags}} V=1

%install
make install DESTDIR="%{buildroot}"  V=1
#
rm -f %{buildroot}%{rsyslog_module_dir_nodeps}/*.la
#
# move all modules linking libraries in /usr to /usr/lib[64]
# the user has to specify them with full path then...
install -d -m0755 %{buildroot}%{rsyslog_module_dir_withdeps}
for mod in omgssapi.so imgssapi.so lmgssutil.so ommysql.so \
           ompgsql.so omsnmp.so lmnsd_gtls.so \
%if 0%{?with_dbi}
	   omlibdbi.so \
%endif
%if 0%{?with_relp}
	   imrelp.so omrelp.so \
%endif
; do
	mv -f %{buildroot}%{rsyslog_module_dir_nodeps}/$mod \
	      %{buildroot}%{rsyslog_module_dir_withdeps}
done
#
install -d -m0755 %{buildroot}%{_sysconfdir}/rsyslog.d
install -d -m0755 %{buildroot}%{_localstatedir}/run/rsyslog
install -d -m0755 %{buildroot}%{_localstatedir}/spool/rsyslog
for file in rsyslog.conf rsyslog.early.conf rsyslog.d.remote.conf ; do
	sed \
%ifarch s390 s390x
	-e 's;tty10;console;g' \
%endif
	-e 's;ADDITIONAL_SOCKETS;%{additional_sockets};g' \
	-e 's;ETC_RSYSLOG_D_DIR;%{_sysconfdir}/rsyslog.d;g' \
	-e 's;ETC_RSYSLOG_D_GLOB;%{_sysconfdir}/rsyslog.d/*.conf;g' \
	-e 's;RSYSLOG_SPOOL_DIR;%{_localstatedir}/spool/rsyslog;g' \
	%{_sourcedir}/${file}.in > ${file}.$$
done
install    -m0600 rsyslog.conf.$$ \
                  %{buildroot}%{_sysconfdir}/rsyslog.conf
install    -m0600 rsyslog.early.conf.$$ \
                  %{buildroot}%{_sysconfdir}/rsyslog.early.conf
install    -m0600 rsyslog.d.remote.conf.$$ \
                  %{buildroot}%{_sysconfdir}/rsyslog.d/remote.conf
#
install -d -m0755 %{buildroot}/var/adm/fillup-templates
# native version for the '-c <compat version>' parameter
rsyslogd_version=%{version}
rsyslogd_version=${rsyslogd_version//.*/}
sed -e "s/@RSYSLOGD_VERSION@/${rsyslogd_version}/g" \
	< %{_sourcedir}/rsyslog.sysconfig > rsyslog.sysconfig
install    -m0600 rsyslog.sysconfig \
                  %{buildroot}/var/adm/fillup-templates/sysconfig.syslog-rsyslog
#
rm -f doc/Makefile*
install -d -m0755 %{buildroot}%{rsyslogdocdir}/
find ChangeLog README AUTHORS COPYING COPYING.LESSER rsyslog.conf doc \
	\( -type d -exec install -m755 -d   %{buildroot}%{rsyslogdocdir}/\{\} \; \) \
     -o \( -type f -exec install -m644 \{\} %{buildroot}%{rsyslogdocdir}/\{\} \; \)
install -m644 plugins/ommysql/createDB.sql \
	%{buildroot}%{rsyslogdocdir}/mysql-createDB.sql
install -m644 plugins/ompgsql/createDB.sql \
	%{buildroot}%{rsyslogdocdir}/pgsql-createDB.sql
#

%clean
if [ -n "%{buildroot}" ] && [ "%{buildroot}" != "/" ] ; then
	rm -rf "%{buildroot}"
fi

%post
#
# update linker caches
#
/sbin/ldconfig
#
# add syslog variables provided by klogd if needed
#
%{remove_and_set -n syslog RSYSLOGD_NATIVE_VERSION}
%{fillup_and_insserv -ny syslog syslog}
%{fillup_and_insserv -nY syslog earlysyslog}
#
# add RSYSLOGD_* variables if needed
#
%{fillup_only -ns syslog rsyslog}
#
# check if daemon configured in SYSLOG_DAEMON is installed
# and switch to ourself if it's missed
#
source etc/sysconfig/syslog
replace_syslog=no
if test "$SYSLOG_DAEMON" != "rsyslogd" ; then
    if test -z "$SYSLOG_DAEMON" || \
       test ! -x sbin/${SYSLOG_DAEMON} ; then
        replace_syslog=yes
    fi
fi
if test "$replace_syslog" = "yes" ; then
    sed -i -e 's/^SYSLOG_DAEMON=.*/SYSLOG_DAEMON="rsyslogd"/g' \
              etc/sysconfig/syslog
fi
#
# create dirs, touch log default files
#
mkdir -p var/log
touch var/log/messages;  chmod 640 var/log/messages
touch var/log/boot.log;  chmod 640 var/log/boot.log
touch var/log/mail;      chmod 640 var/log/mail
touch var/log/mail.info; chmod 640 var/log/mail.info
touch var/log/mail.warn; chmod 640 var/log/mail.warn
touch var/log/mail.err;  chmod 640 var/log/mail.err
test -f var/log/news && mv -f var/log/news var/log/news.bak
mkdir -p -m 0750 var/log/news
chown news:news  var/log/news
touch var/log/news/news.crit;   chmod 640 var/log/news/news.crit
chown news:news var/log/news/news.crit
touch var/log/news/news.err;    chmod 640 var/log/news/news.err
chown news:news var/log/news/news.err
touch var/log/news/news.notice; chmod 640 var/log/news/news.notice
chown news:news var/log/news/news.notice
#
# touch the additional log files we are using
#
touch var/log/acpid;            chmod 640 var/log/acpid
touch var/log/firewall;         chmod 640 var/log/firewall
touch var/log/NetworkManager;   chmod 640 var/log/NetworkManager
#
# touch the additional log sockets config file
#
additional_sockets="%{additional_sockets}"
mkdir -p -m750 ${additional_sockets%/*}
touch "${additional_sockets#/}"
chmod 640 "${additional_sockets#/}"

%preun
#
# stop the rsyslogd daemon when it is running
#
%{stop_on_removal syslog}

%postun
#
# update linker caches
#
/sbin/ldconfig
#
# reset SYSLOG_DAEMON variable
#
if test -f etc/sysconfig/syslog ; then
  source etc/sysconfig/syslog
  if test "$SYSLOG_DAEMON" == "rsyslogd" ; then
    sed -i -e 's/^SYSLOG_DAEMON=.*/SYSLOG_DAEMON=""/g' \
              etc/sysconfig/syslog
  fi
fi
#
# stop the rsyslogd daemon when it is running
#
%{restart_on_update syslog}
#
# cleanup init scripts
#
%{insserv_cleanup}

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/rsyslog.d
%config(noreplace) %attr(600,root,root) %{_sysconfdir}/rsyslog.conf
%config(noreplace) %attr(600,root,root) %{_sysconfdir}/rsyslog.early.conf
%config(noreplace) %attr(600,root,root) %{_sysconfdir}/rsyslog.d/remote.conf
%{_sbindir}/rsyslogd
%dir %{rsyslog_module_dir_nodeps}
%{rsyslog_module_dir_nodeps}/imfile.so
%{rsyslog_module_dir_nodeps}/imklog.so
%{rsyslog_module_dir_nodeps}/immark.so
%{rsyslog_module_dir_nodeps}/imtcp.so
%{rsyslog_module_dir_nodeps}/imtemplate.so
%{rsyslog_module_dir_nodeps}/imudp.so
%{rsyslog_module_dir_nodeps}/imuxsock.so
%{rsyslog_module_dir_nodeps}/lmnet.so
%{rsyslog_module_dir_nodeps}/lmnetstrms.so
%{rsyslog_module_dir_nodeps}/lmnsd_ptcp.so
%{rsyslog_module_dir_nodeps}/imptcp.so
%{rsyslog_module_dir_nodeps}/lmregexp.so
%{rsyslog_module_dir_nodeps}/lmstrmsrv.so
%{rsyslog_module_dir_nodeps}/lmtcpclt.so
%{rsyslog_module_dir_nodeps}/lmtcpsrv.so
%{rsyslog_module_dir_nodeps}/lmzlibw.so
%{rsyslog_module_dir_nodeps}/ommail.so
%{rsyslog_module_dir_nodeps}/omprog.so
%{rsyslog_module_dir_nodeps}/omruleset.so
%{rsyslog_module_dir_nodeps}/omstdout.so
%{rsyslog_module_dir_nodeps}/omtemplate.so
%{rsyslog_module_dir_nodeps}/omtesting.so
%{rsyslog_module_dir_nodeps}/omuxsock.so
%{rsyslog_module_dir_nodeps}/pmlastmsg.so
%dir %{rsyslog_module_dir_withdeps}
%{_mandir}/man5/rsyslog.conf.5*
%{_mandir}/man8/rsyslogd.8*
%dir %{rsyslogdocdir}
%doc %{rsyslogdocdir}/rsyslog.conf
%doc %{rsyslogdocdir}/ChangeLog
%doc %{rsyslogdocdir}/README
%doc %{rsyslogdocdir}/AUTHORS
%doc %{rsyslogdocdir}/COPYING
%doc %{rsyslogdocdir}/COPYING.LESSER
%dir %{_localstatedir}/spool/rsyslog
/var/adm/fillup-templates/sysconfig.syslog-rsyslog

%files doc
%defattr(-,root,root)
%dir %{rsyslogdocdir}
%doc %{rsyslogdocdir}/doc

%files diag-tools
%defattr(-,root,root)
%{_sbindir}/msggen
%{_sbindir}/rsyslog_diag_hostname
%{_sbindir}/zpipe

%files module-gssapi
%defattr(-,root,root)
%{rsyslog_module_dir_withdeps}/omgssapi.so
%{rsyslog_module_dir_withdeps}/imgssapi.so
%{rsyslog_module_dir_withdeps}/lmgssutil.so

%files module-mysql
%defattr(-,root,root)
%doc %{rsyslogdocdir}/mysql-createDB.sql
%{rsyslog_module_dir_withdeps}/ommysql.so

%files module-pgsql
%defattr(-,root,root)
%doc %{rsyslogdocdir}/pgsql-createDB.sql
%{rsyslog_module_dir_withdeps}/ompgsql.so

%if 0%{?with_dbi}

%files module-dbi
%defattr(-,root,root)
%{rsyslog_module_dir_withdeps}/omlibdbi.so
%endif

%files module-snmp
%defattr(-,root,root)
%{rsyslog_module_dir_withdeps}/omsnmp.so

%files module-gtls
%defattr(-,root,root)
%{rsyslog_module_dir_withdeps}/lmnsd_gtls.so

%if 0%{?with_relp}

%files module-relp
%defattr(-,root,root)
%{rsyslog_module_dir_withdeps}/imrelp.so
%{rsyslog_module_dir_withdeps}/omrelp.so
%endif

%files module-udpspoof
%defattr(-,root,root)
%{rsyslog_module_dir_nodeps}/omudpspoof.so

%changelog
* Mon Aug 29 2011 mt@suse.com
- Applied patch for 1/2 byte buffer overflow while parsing legacy
  syslog messages that may cause a crash (CVE-2011-3200,bnc#714658).
- Applied a fix for a memcpy overflow while processing allowed sender
  rules in the config that resolve to IPv4-mapped-on-IPv6 addresses.
* Thu Mar 24 2011 mt@suse.de
- Updated to 5.6.5 (v5-stable) with following bugfixes:
  * bugfix: failover did not work correctly if repeated msg
  reduction was on.
  affected directive: $ActionExecOnlyWhenPreviousIsSuspended on
  * bugfix: omlibdbi did not use password from rsyslog.conf
  closes: http://bugzilla.adiscon.com/show_bug.cgi?id=203
  * bugfix(kind of): tell users that config graph can currently
  not be generated
  closes: http://bugzilla.adiscon.com/show_bug.cgi?id=232
  * bugfix: discard action did not work under some circumstances
  fixes: http://bugzilla.adiscon.com/show_bug.cgi?id=217
  (bnc#676041)
  * bugfix: potential abort condition when $RepeatedMsgReduction
  were set to on as well as potentially in a number of other places
  where MsgDup() was used. This only happened when the imudp input
  module was used and it depended on name resolution not yet had
  taken place. (bnc#679030)
  * bugfix: fixed a memory leak and potential abort condition
  this could happen if multiple rulesets were used and some output
  batches contained messages belonging to more than one ruleset.
  fixes: http://bugzilla.adiscon.com/show_bug.cgi?id=226
  fixes: http://bugzilla.adiscon.com/show_bug.cgi?id=218
  * bugfix: memory leak when $RepeatedMsgReduction on was used
  bug tracker: http://bugzilla.adiscon.com/show_bug.cgi?id=225
  (bnc#681568)
- Merged systemd socket activation support
* Wed Feb  2 2011 mt@suse.de
- update to 5.6.3 (v5-stable) with following bugfixes (digest):
  * action processor released mememory too early, resulting in
  potential issue in retry cases (very unlikely).
  * batch processing flagged invalid message as "bad" under some
  circumstances
  * unitialized variable could cause issues under extreme
  conditions plus some minor nits.
  * batches which had actions in error were not properly retried
  in all cases
  * imfile did duplicate messages under some circumstances
- enabled plain tcp input, unix socket output, last message
  parser and the libdbi module as separate package.
- disabled systemd patch for openSUSE <= 11.3
* Thu Jan 20 2011 mt@suse.de
- Improved systemd socket activation support to allow multiple
  unix sockets and activation in forking mode (bnc#656197).
* Fri Dec  3 2010 mt@suse.de
- update to 5.6.2 (v5-stable) with following bugfixes:
  * compile failed on systems without epoll_create1()
    Thanks to David Hill for providing a fix.
  * atomic increment for msg object may not work correct on
    all platforms. Thanks to Chris Metcalf for the patch
  * replacements for atomic operations for non-int sized types
    had problems. At least one instance of that problem could
    potentially lead to abort (inside omfile).
- Increased mark frequency in rsyslog.conf to 1 hour
- Enabled duplicate message reduction in rsyslog.conf to catch
  at least buggy programs running amok and writting same message
  zillion times until the disk gets out of space (bnc#656197).
- Merged rsyslog-systemd-integration.bnc656104.diff (fuzz=0).
* Mon Nov 29 2010 mt@suse.de
- update to 5.6.1
  This release addresses a TLS bug, that has been bothering a lot
  of users lately. It stops rsyslog from looping, thus disabling
  functionality and bearing the risk of unresponsiveness of the
  whole system. Other issues have been fixed for imptcp, failing
  testbench, segfault on empty templates and failed compile.
  For more detailed information, please review the ChangeLog and
    http://bugzilla.adiscon.com/show_bug.cgi?id=194,
    http://bugzilla.adiscon.com/show_bug.cgi?id=204,
    http://bugzilla.adiscon.com/show_bug.cgi?id=206.
- applied systemd integration base patch (without the service and
  socket unit files, because we'll use same for all syslog damons)
  extracted from git master (bnc#656104).
* Sat Nov 20 2010 coolo@novell.com
- build with libnet-devel on 11.4
* Mon Nov 15 2010 chris@computersalat.de
- update to 5.6.0
  This release brings all changes and enhancements of the 5.5.x
  series to the v5-stable branch.
  - bugfix: a couple of problems that imfile had on some platforms,
    namely Ubuntu (not their fault, but occured there)
  - bugfix: imfile utilizes 32 bit to track offset. Most importantly,
    this problem can not experienced on Fedora 64 bit OS (which has
    64 bit long's!)
- removed obsolete patch
  - xconsole-pipe-loop
- rpmlint
  - name-repeated-in-summary C Rsyslog
* Wed Apr 28 2010 mt@suse.de
- Added $klogConsoleLogLevel 1 to the config, to use same default
  [KERNEL_LOGLEVEL in /etc/sysconfig/syslog] as klogd (bnc#593699).
- Improved filter to discard iptables msgs higher err on console,
  changed to set default file template instead per file, removed
  duplicate filters (bnc#593699).
* Tue Apr 27 2010 mt@suse.de
- Applied fix to avoid a tight send-retry loop in case there is
  nobody receiving the messages sent to the xconsole pipe
  (bnc#597293, http://bugzilla.adiscon.com/show_bug.cgi?id=186).
- Disabled relp support for < 11.3 (librelp is new)
- Fixed to create /var/run/rsyslog in post-install (rpmlint)
* Wed Apr 14 2010 mrueckert@suse.de
- dropped install_all_modules_in_lib conditional and all related
  code
- new subpackages
  - enable RELP support. new depdendency librelp
  - enable diagnotic tools.
  - enable UDP spoof support. new dependency libnet
- moved module paths to 2 variables defined on top of the spec
* Tue Apr 13 2010 mt@suse.de
- Updated to rsyslog version 5.4.0 (v5-stable). This version begins
  a new stable series based on the 5.3.x series, which has been
  proven rather well in practice. The new 5.4.0 contains fixes for
  all known problems. See ChangeLog file for a detailed history.
  The main new feature is speed: several optimizations were done,
  including support for epoll in tcp listeners.
- Added new lmzlibw.so and omruleset.so to the file list.
- Recompressed original tar.gz source archive using bzip2.
* Wed Sep  9 2009 mt@suse.de
- Added read-only RSYSLOGD_NATIVE_VERSION sysconfig/syslog variable,
  that is set to the native mode version number for the -c parameter
  while every installation and used in the /etc/init.d/syslog script,
  except the user overrides this default in RSYSLOGD_COMPAT_VERSION.
* Wed Sep  2 2009 mt@suse.de
- Updated to rsyslog version 4.4.1 (v4-stable), a bug-fixing release,
  providing some important fixes for issues that have only been
  detected after the beta phase. Some of them are serious (like a
  segfault when UDP messageforwarding is activated), so users of
  4.4.0 are urged to upgrade to this release. Changelog for 4.4.1:
  * features requiring Java are automatically disabled if Java
    is not present (thanks to Michael Biebl for his help!)
  * bugfix: invalid double-quoted PRI, among others in outgoing
    messages. This causes grief with all receivers.
    Bug tracker: http://bugzilla.adiscon.com/show_bug.cgi?id=147
  * bugfix: Java testing tools were required, even if testbench
    was disabled. This resulted in build errors if no Java was
    present on the build system, even though none of the selected
    option actually required Java. (I forgot to backport a similar
    fix to newer releases).
  * bugfix (backport): omfwd segfault. Note that the orginal (higher
    version) patch states this happens only when debugging mode is
    turned on. That statement is wrong: if debug mode is turned off,
    the message is not being emitted, but the division by zero in
    the actual parameters still happens.
- Removed jave2-devel-packages from build requires again
* Tue Sep  1 2009 mt@suse.de
- Updated to rsyslog version 4.4.0, the actual stable 4.4.x series.
  It provides several bugfixes, performance improvements and new
  features: It adds generic network stream server for syslog, the
  capability to rebind the send socket of the UDP output section,
  allows multiple tcp listeners, multiple recipients in ommail,
  new plugins as omprog, improved documentation and testbench
  with a config switch. Please review ChangeLog file for details.
- Removed obsolete moddirs patch (included in 4.4.0)
- Added java2-devel-packages to BuildRequires (for test suite)
- Enabled omprog and omtemplate plugins, added them and the
  lmstrmsrv plugin to the base-plugins file list.
* Mon Apr 20 2009 mt@suse.de
- Improved config file comments about usage of additional
  modules provided in separate rsyslog-module packages.
- Enabled GnuTLS (syslog-transport-tls) support module.
* Mon Apr 20 2009 mt@suse.de
- Updated to rsyslog 3.20.6 [v3-stable]
* Mon Dec 15 2008 mt@suse.de
- Security fix to honor $AllowedSender settings (bnc#457273).
- Security fix [DoS] from 3.20.2 to emit a discard message every
  minute only (when DisallowWarning enabled) instead of every time;
  this prevernts an attacker can fill the disk (bnc#457273).
* Wed Sep 10 2008 schwab@suse.de
- Run autoreconf.
* Tue Sep  9 2008 mt@suse.de
- Enabled mail, imfile and imtemplate modules
- Enabled snmp module, packaged as rsyslog-module-snmp
- Added patch to support multiple module directories,
  in our case /lib[64]/rsyslog:/usr/lib[64]/rsyslog
* Thu Sep  4 2008 mt@suse.de
- initial rsyslog 3.18.3 package
